> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get active cases

> Retrieves all active cases for the `groupProfileId` on the token used. The response includes summary-level information with IDs for accessing details using other endpoints.

The cases are listed in descending order by `crStamp`. If any `crStamp` values are identical, the cases are then sorted by `caseStatusId`, followed by `caseSecondaryStatusId`.



## OpenAPI

````yaml /background-check-api/api-reference/openapi.json get /case/list
openapi: 3.1.0
info:
  title: KarmaCheck API
  description: >-
    All requests to the KarmaCheck API require a JSON Web Token (JWT) in the
    Authorization header. For an overview of the API and its authentication
    method, refer to the following topics:


    - [API basics](docs/overview/apis/api-overview.md)

    - [Authentication](docs/overview/apis/authentication.md)

    - [Environments](docs/overview/apis/environments.md)

    - [Status codes and errors](docs/overview/apis/errors.md)
  version: '1.0'
  contact:
    name: KarmaCheck
    email: customersuccess@karmacheck.com
servers:
  - description: Stage
    url: https://api-stage.karmacheck.io
  - description: Prod
    url: https://api.karmacheck.io
security:
  - JWT: []
tags:
  - name: Authentication
  - name: Cases
  - name: Candidate onboarding
  - name: Secure documents
  - name: Packages
  - name: Services
  - name: Users
  - name: Companies
  - name: Partner integrations
paths:
  /case/list:
    parameters: []
    get:
      tags:
        - Cases
      summary: Get active cases
      description: >-
        Retrieves all active cases for the `groupProfileId` on the token used.
        The response includes summary-level information with IDs for accessing
        details using other endpoints.


        The cases are listed in descending order by `crStamp`. If any `crStamp`
        values are identical, the cases are then sorted by `caseStatusId`,
        followed by `caseSecondaryStatusId`.
      operationId: get-case-list
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - cases
                properties:
                  cases:
                    type: array
                    items:
                      $ref: '#/components/schemas/CaseSummary'
              examples: {}
        '403':
          description: >-
            This response indicates missing authorization, or valid
            authorization but insufficient permissions.
        '500':
          description: Internal Server Error
components:
  schemas:
    CaseSummary:
      title: CaseSummary
      type: object
      examples:
        - id: f252d717-9bc8-4d21-85b4-5fd29645226a
          crStamp: '2024-04-05T19:21:27.000+00:00'
          crUserId: fed29350-84f3-4d35-9df1-9a73f14d9d17
          caseTypeId: cde61186-4f22-45f4-9e19-429061365bce
          caseType: Background Check
          caseStatusId: 47463524-937e-46b1-8799-873f63e7b402
          caseStatus: Adjudicated
          resultType: Placed
          modStamp: '2024-04-06T00:03:15.000+00:00'
          candidateId: 283de3e9-f12e-2184-9ac4-6e783e85b0de
          candidateEmail: charlie@example.com
          candidateGivenName: Charlie
          candidateFamilyName: Williams
          packageName: Basic Check
          packageId: f23fdee1-2ea5-23fc-9832-293a5d23a08b
          billingReferenceId: d64fddc1-1fa5-23fc-9832-231a5d23a08b
          groupProfileId: de0546f4-ad22-4c76-db12-06ae7e372fd2
          groupName: Default
          resultTypeId: bbbd9fa2-598f-43f6-8363-b8b55e7aa777
          caseInvitationId: 23cbf4ea-a174-47b0-9bc8-1273619a121b
          invitationGivenName: Charlie
          invitationFamilyName: Williams
          invitationStatusId: d1962405-dd97-48f2-bede-530c2895481f
          invitationStatusName: completed
          companyId: ded9edfd-292b-19f8-bdd4-f9bb001eba2c
          companyName: Example Company
          serviceGroupId: b2322ef5-72d7-4f28-9973-858464f01141
          invitationEmail: charlie@example.com
          isMinorCandidate: 0
          hasParentalConsent: 0
          isCustomerProvidedPii: 1
          archived: 0
          orderedStamp: '2024-04-05T19:21:27.000+00:00'
          completedOnboardingStamp: '2024-04-05T19:21:27.000+00:00'
          beginProcessingStamp: '2024-04-05T19:21:29.000+00:00'
          completedInitialProcessingStamp: '2024-04-06T00:02:29.000+00:00'
          completedLatestProcessingStamp: '2024-04-06T00:02:29.000+00:00'
          companyReadableName: Example Company
      required:
        - id
        - crStamp
        - crUserId
        - caseTypeId
        - caseType
        - caseStatusId
        - caseStatus
        - resultType
        - modStamp
        - packageName
        - packageId
        - groupProfileId
        - groupName
        - resultTypeId
        - caseInvitationId
        - companyId
        - companyName
        - invitationEmail
        - isMinorCandidate
        - hasParentalConsent
        - isCustomerProvidedPii
        - archived
        - orderedStamp
        - companyReadableName
      properties:
        id:
          type: string
          description: The unique identifier of the case.
        crStamp:
          type: string
          format: date-time
          example: '2024-05-23T17:21:07.000+00:00'
        crUserId:
          type: string
        caseTypeId:
          type: string
          enum:
            - cde61186-4f22-45f4-9e19-429061365bce
        caseType:
          type: string
          enum:
            - Background Check
        caseStatusId:
          $ref: '#/components/schemas/CaseStatusID'
        caseStatus:
          $ref: '#/components/schemas/CaseStatus'
        secondaryCaseStatusId:
          $ref: '#/components/schemas/CaseSecondaryStatusID'
        secondaryStatus:
          $ref: '#/components/schemas/CaseSecondaryStatus'
        resultType:
          $ref: '#/components/schemas/CaseResult'
        modStamp:
          type: string
          format: date-time
          example: '2024-06-04T19:19:39.000+00:00'
        candidateId:
          type: string
        candidateEmail:
          type: string
        candidateGivenName:
          type: string
        candidateFamilyName:
          type: string
        packageName:
          type: string
        packageId:
          type: string
        packageCompanyName:
          type: string
        billingReferenceId:
          type: string
        groupProfileId:
          type: string
        groupName:
          type: string
        resultTypeId:
          $ref: '#/components/schemas/CaseResultID'
        caseInvitationId:
          type: string
        invitationGivenName:
          type: string
        invitationFamilyName:
          type: string
        invitationStatusId:
          $ref: '#/components/schemas/InvitationStatusID'
        invitationStatusName:
          $ref: '#/components/schemas/InvitationStatus'
        companyId:
          type: string
        companyName:
          type: string
        companyCommonName:
          type: string
        companyLogo:
          type: string
        serviceGroupId:
          type: string
        invitationEmail:
          type: string
        isMinorCandidate:
          type: integer
          description: >-
            A boolean integer: 1 (true) if the candidate is a minor; 0 (false)
            otherwise.
        hasParentalConsent:
          type: integer
          description: >-
            A boolean integer: 1 (true) if the candidate is a minor and parental
            consent has been provided; 0 (false) otherwise.
        isCustomerProvidedPii:
          type: integer
          description: >-
            A boolean integer: 1 (true) if the case was ordered using the
            customer-provided PII flow; 0 (false) otherwise.
        archived:
          type: integer
          description: >-
            A boolean integer: 1 (true) if the case is archived; 0 (false)
            otherwise.
        adverseActionId:
          type: string
        adverseActionStatusName:
          $ref: '#/components/schemas/AdverseActionStatusName'
        adverseActionStatusId:
          $ref: '#/components/schemas/AdverseActionStatusID'
        apiTrackingCode:
          type: string
        apiTrackingUser:
          type: string
        orderedStamp:
          type: string
          format: date-time
          example: '2024-05-23T17:21:07.000+00:00'
        beginOnboardingStamp:
          type: string
          format: date-time
          example: '2024-05-23T17:21:07.000+00:00'
        completedOnboardingStamp:
          type: string
          format: date-time
          example: '2024-05-23T17:21:08.000+00:00'
        beginProcessingStamp:
          type: string
          format: date-time
          example: '2024-05-23T17:21:08.000+00:00'
        completedInitialProcessingStamp:
          type: string
          format: date-time
          example: '2024-05-23T17:21:12.000+00:00'
        completedLatestProcessingStamp:
          type: string
          format: date-time
          example: '2024-05-23T17:21:12.000+00:00'
        companyReadableName:
          type: string
    CaseStatusID:
      title: CaseStatusID
      type: string
      enum:
        - d894b8a0-937e-46b1-8799-15bad611844f
        - 93827364-937e-46b1-8799-777366485997
        - 22334455-937e-46b1-8799-887766554433
        - 47463524-937e-46b1-8799-873f63e7b402
      description: >-
        The ID for the primary status of a case. See [Case-level result and
        statuses](docs/reference/case-status.md) for more details about each
        possible status.


        - Pending (in progress): d894b8a0-937e-46b1-8799-15bad611844f

        - Blocked (blocked): 93827364-937e-46b1-8799-777366485997

        - Complete (done): 22334455-937e-46b1-8799-887766554433

        - Adjudicated (decision made): 47463524-937e-46b1-8799-873f63e7b402
    CaseStatus:
      title: CaseStatus
      type: string
      enum:
        - Pending
        - Blocked
        - Complete
        - Adjudicated
    CaseSecondaryStatusID:
      title: CaseSecondaryStatusID
      type: string
      enum:
        - 8e0c9756-a42f-4a7d-b8e2-412a0f6b9dea
        - c5f240cb-5221-451c-8bd1-4be5bf348ce5
        - b2c707af-091f-4d07-9546-4a1453f939e5
        - status-type-verifying-cand-input
        - status-type-reviewing-order
        - status-type-consider
        - 4155584b-708c-4108-86a8-8f3321b9b17c
      description: >-
        The ID for the secondary status of a case. See [Case-level result and
        statuses](docs/reference/case-status.md) for more details about each
        possible status.


        - Waiting for Authorization: 8e0c9756-a42f-4a7d-b8e2-412a0f6b9dea

        - Authorization in Progress: c5f240cb-5221-451c-8bd1-4be5bf348ce5

        - Waiting for Parental Consent: b2c707af-091f-4d07-9546-4a1453f939e5

        - Verifying Candidate PII Input: status-type-verifying-cand-input

        - Reviewing Order: status-type-reviewing-order

        - Consider (completed needs review): status-type-consider

        - Canceled: 4155584b-708c-4108-86a8-8f3321b9b17c  
    CaseSecondaryStatus:
      title: CaseSecondaryStatus
      type: string
      enum:
        - Waiting for Authorization
        - Authorization in Progress
        - Waiting for Parental Consent
        - Verifying Candidate Input
        - Reviewing Order
        - Consider
        - Canceled
    CaseResult:
      title: CaseResult
      type: string
      enum:
        - Open
        - Placed
        - Pre-Adverse Action
        - Dispute Adverse Action
        - Adverse Action
    CaseResultID:
      title: CaseResultID
      type: string
      description: >-
        The ID of the result for the case. See [Case-level result and
        statuses](docs/reference/case-status.md) for more details about each
        possible result.


        - Open: 8c94f0d9-57c9-4c7b-be95-5ec309cff330

        - Placed: bbbd9fa2-598f-43f6-8363-b8b55e7aa777

        - Pre-Adverse Action: 14bba02d-e6c7-45bf-a993-e28c306303c6

        - Dispute Adverse Action: result-type-dispute-adverse

        - Adverse Action: d082a629-5dff-4303-83ae-897776ebcb17
      enum:
        - 8c94f0d9-57c9-4c7b-be95-5ec309cff330
        - bbbd9fa2-598f-43f6-8363-b8b55e7aa777
        - 14bba02d-e6c7-45bf-a993-e28c306303c6
        - result-type-dispute-adverse
        - d082a629-5dff-4303-83ae-897776ebcb17
    InvitationStatusID:
      title: InvitationStatusID
      type: string
      enum:
        - 3f5e6898-6641-4685-8ee0-1363b7e10c98
        - b5af27f7-8a03-4820-b2bd-82587dcacf5b
        - d1962405-dd97-48f2-bede-530c2895481f
        - 0f6acacc-71c4-43ec-80fa-941ff71c0c16
      description: >-
        The status ID of a case invitation. See [Invitation
        status](docs/reference/invitation-status.md) for more details about each
        possible status.


        - pending: 3f5e6898-6641-4685-8ee0-1363b7e10c98

        - expired: b5af27f7-8a03-4820-b2bd-82587dcacf5b

        - completed: d1962405-dd97-48f2-bede-530c2895481f

        - cancelled: 0f6acacc-71c4-43ec-80fa-941ff71c0c16 
    InvitationStatus:
      title: InvitationStatus
      type: string
      enum:
        - pending
        - expired
        - completed
        - cancelled
      description: The status of onboarding invitation to a candidate.
    AdverseActionStatusName:
      title: AdverseActionStatusName
      type: string
      enum:
        - Pre-Adverse
        - Dispute
        - Cancel
        - Post
    AdverseActionStatusID:
      title: AdverseActionStatusID
      type: string
      enum:
        - bb34dc52-4e3b-4baf-8e0b-b6603f9e2a84
        - ebbcb8e0-a0e7-43fb-930e-e52db4032d47
        - d61950cb-00aa-4839-9da5-0c97f236c813
        - fb32cc36-7eb6-47fa-ad4a-2635e99f197a
      description: |
        The status ID of an adverse action on a candidate.

        - Pre-Adverse: bb34dc52-4e3b-4baf-8e0b-b6603f9e2a84
        - Dispute: ebbcb8e0-a0e7-43fb-930e-e52db4032d47
        - Cancel: d61950cb-00aa-4839-9da5-0c97f236c813
        - Post: fb32cc36-7eb6-47fa-ad4a-2635e99f197a
  securitySchemes:
    JWT:
      type: http
      scheme: bearer

````